=== docs/requirements.txt ===
pypandoc==1.13
recommonmark==0.7.1
jupyter==1.0.0

# get sphinx version range from furo install
furo==2024.5.6
myst-parser==3.0.1
pyopenssl==24.1.0
autodocsumm==0.2.12
jinja2==3.1.4
matplotlib==3.8.4
nbconvert==7.16.4
