=== debian/changelog ===
trimesh (4.5.1-3) unstable; urgency=medium

  * Disable build dependency on beartype. Similar to ruff, it's
    not needed for Debian packaging.

 -- Gregor Riepl <onitake@gmail.com>  Thu, 13 Feb 2025 10:47:21 +0000

trimesh (4.5.1-2) unstable; urgency=medium

  * Disable build dependency on ruff, it doesn't look like it's
    needed for running the unit tests, packaging, or at runtime.

 -- Gregor Riepl <onitake@gmail.com>  Tue, 04 Feb 2025 22:15:29 +0100

trimesh (4.5.1-1) unstable; urgency=medium

  * New upstream version. Fixes: #1085111

 -- Gregor Riepl <onitake@gmail.com>  Sun, 27 Oct 2024 12:59:14 +0100

trimesh (4.4.1-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Initial release. (Closes: #950920)
  * copyright: Mention SCEA license for models/duck.dae.

  [ Gregor Riepl ]
  * Fix up soft dependencies
  * Patch test model paths
  * Enable package only on 64bit archs

 -- Gregor Riepl <onitake@gmail.com>  Tue, 09 Jul 2024 10:50:24 +0200
