=== debian/control ===
Source: trimesh
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders:
 Gregor Riepl <onitake@gmail.com>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit,
 debhelper-compat (= 12),
 dh-python,
 python3-all-dev,
 pybuild-plugin-pyproject,
# required
 python3-numpy,
# easy
# Not available in Debian yet
#python3-manifold3d (>= 2.3.0)
 python3-colorlog,
 python3-mapbox-earcut,
 python3-chardet,
 python3-lxml,
 python3-jsonschema,
 python3-networkx,
 python3-svg.path,
 python3-collada,
 python3-setuptools,
 python3-shapely,
 python3-xxhash,
 python3-rtree,
 python3-httpx,
 python3-scipy,
# Not available in Debian yet
#python3-embreex,
 python3-pil,
# Not available in Debian yet
#python3-vhacdx,
#python3-xatlas,
# recommend
# Not available in Debian yet
#python3-glooey,
 python3-sympy,
# Pyglet 1.x is deprecated and removed from Debian
#python3-pyglet (<<2),
 python3-psutil,
 python3-skimage,
# Not available in Debian yet
#python3-fcl,
#python3-openctm,
#python3-cascadio,
#python3-manifold3d,
# test
 python3-pytest-cov,
# Not available in Debian yet
#python3-coveralls,
#python3-pyright,
 python3-ezdxf,
 python3-pytest,
# Not available in Debian yet
#python3-pyinstrument,
 python3-matplotlib,
# These are only used for development and some extended tests
# that aren't run in Debian. They're not really needed.
#python3-ruff,
#python3-beartype,
Standards-Version: 4.5.0
Section: python
Homepage: https://github.com/mikedh/trimesh
Vcs-Browser: https://salsa.debian.org/3dprinting-team/trimesh
Vcs-Git: https://salsa.debian.org/3dprinting-team/trimesh.git

Package: python3-trimesh
Section: python
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-numpy,
Recommends:
 python3-colorlog,
 python3-mapbox-earcut,
 python3-chardet,
 python3-lxml,
 python3-jsonschema,
 python3-networkx,
 python3-svg.path,
 python3-collada,
 python3-setuptools,
 python3-shapely,
 python3-xxhash,
 python3-rtree,
 python3-httpx,
 python3-scipy,
 python3-embreex,
 python3-pil,
 python3-vhacdx,
 python3-xatlas,
Suggests:
 python3-glooey,
 python3-sympy,
 python3-psutil,
 python3-skimage,
 python3-fcl,
 python3-openctm,
 python3-cascadio,
 python3-manifold3d,
Description: Python triangular meshes with an emphasis on watertight surfaces
 Trimesh is a pure Python library for loading and using triangular meshes with
 an emphasis on watertight surfaces. The goal of the library is to provide a
 full featured and well tested Trimesh object which allows for easy
 manipulation and analysis, in the style of the Polygon object in the Shapely
 library.
