=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_clean:
	# these temporary files aren't cleaned up properly by the unit tests
	rm -rf models/material.mtl models/material_0.png models/sphere.obj
	dh_clean
