=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/trimesh-$1\.tar\.gz/ \
  https://github.com/mikedh/trimesh/tags .*/(\d\.\S+)\.tar\.gz
